Ant API: Class Task

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant
Class Task

    java.lang.Object
      |
      +--org.apache.tools.ant.Task

Direct Known Subclasses:
  Ant, Available, Chmod, Copyfile, Delete, Deltree, Echo, Exec, Expand, Filter, Get, GZip, KeySubst, MatchingTask, Mkdir, Property, Rename, Replace, Rmic, Script, TaskAdapter, Taskdef, Tstamp

public abstract class Task
extends java.lang.Object

Base class for all tasks.

Field Summary
`protected java.lang.String` | `description`
`protected Project` | `project`
`protected Target` | `target`

Constructor Summary
`Task()`

Method Summary
`void` | `execute()` Called by the project to let the task do it's work.
`java.lang.String` | `getDescription()`
`void` | `init()` Called by the project to let the task initialize properly.
`void` | `setDescription(java.lang.String desc)` Sets a description of the current action.
`void` | `setTarget(Target target)` Sets the target object of this task.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### project

    protected Project project

### target

    protected Target target

### description

    protected java.lang.String description

Constructor Detail

### Task

    public Task()

Method Detail

### setTarget

    public void setTarget(Target target)

  Sets the target object of this task.
  Parameters:
    `target` - Target in whose scope this task belongs.

### setDescription

    public void setDescription(java.lang.String desc)

  Sets a description of the current action. It will be usefull in commenting what we are doing.

### getDescription

    public java.lang.String getDescription()

### init

    public void init()
              throws BuildException

  Called by the project to let the task initialize properly. Normally it does nothing.
  Throws:
    BuildException - if someting goes wrong with the build

### execute

    public void execute()
                 throws BuildException

  Called by the project to let the task do it's work. Normally it does nothing.
  Throws:
    BuildException - if someting goes wrong with the build

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.